#!/bin/bash
set -e
pegasus_lite_version_major="5"
pegasus_lite_version_minor="0"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="false"
pegasus_lite_version_allow_wp_auto_download="false"
pegasus_lite_log_file="pegasus-plan_ID0000002.pre.err"

# set for pegasus-plan invocation 
export PEGASUS_HOME="/util/opt/pegasus-wms/5.0"

. pegasus-lite-common.sh

pegasus_lite_init

# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap pegasus_lite_signal_term TERM
trap pegasus_lite_unexpected_exit EXIT

printf "\n########################[Pegasus Lite] Setting up workdir ########################\n"  1>&2
# work dir
pegasus_lite_setup_work_dir

pegasus_lite_section_start stage_in
printf "\n###################### Staging in input data and executables ######################\n"  1>&2
# stage in data and executables
/util/opt/pegasus-wms/5.0/bin/pegasus-transfer --threads 1  --symlink  1>&2 << 'eof'
[
 { "type": "transfer",
   "linkage": "input",
   "lfn": "sub-pipeline.dax",
   "id": 1,
   "src_urls": [
     { "site_label": "local", "url": "file:///work/deogun/npavlovikj/FFH/wf-scratch/LOCAL/npavlovikj/pegasus/pipeline/20210429T121245-0500/./sub-pipeline.dax", "checkpoint": "false" }
   ],
   "dest_urls": [
     { "site_label": "local", "url": "symlink://$PWD/sub-pipeline.dax" }
   ] }
]
eof

pegasus_lite_section_end stage_in
set +e
job_ec=0
pegasus_lite_section_start task_execute
printf "\n######################[Pegasus Lite] Executing the user task ######################\n"  1>&2
/util/opt/pegasus-wms/5.0/bin/pegasus-kickstart  -n pegasus-plan_ID0000002.pre.sh -N ID0000002 -R local  -L pipeline -T 2021-04-29T12:12:44-05:00 /util/opt/pegasus-wms/5.0/bin/pegasus-plan $@
job_ec=$?
pegasus_lite_section_end task_execute
set -e
pegasus_lite_section_start stage_out
pegasus_lite_section_end stage_out

set -e


# clear the trap, and exit cleanly
trap - EXIT
pegasus_lite_final_exit

